var masterpelajaran=(function(){
	var hal=0;
	var jumlah=30;
	var idmasterpelajaran=0;
	return{
		caricanggih:function(){
			mload.sh();
			var ik_data = {ajax: 1,mode: "mod",cl: "masterpelajaran",
				ikdata: {0:"datacari01",1:1}
			};
			
			$.ajax({url: lokal+"man.ajax.php",type: "POST",dataType: "json",async:true,data: ik_data,
				success: function(e){
					mload.hd();
					if(e!=false){
						var boxcari;
						var obj=new Object;
						obj.proses=function(a){
							$("#cari").val(a);
							boxcari.tutup();
							document.getElementById("btcari").click();
						};
						var datacari={"data":e,"proses":obj}
						boxcari=caricanggih.buka(datacari);
					}
				}
			});
		},
		enter:function(e){
			if(e.which == 13 || e.keyCode == 13){
				masterpelajaran.loade();
			}
		},
		loade:function(){
			$("#hal_ke").val(0);
			masterpelajaran.load();
		},
		load:function(){
			var nohal=$("#hal_ke").val()
			jumlah=$("#jumlah_hal").val();
			hal=(nohal-1)*jumlah;
			var cr=$("#cari").val();
			
			$("#grid_masterpelajaran").html("");
			mload.loader();
			var ik_data = {
				ajax: 1,
				mode: "mod",
				cl: "masterpelajaran",
				ikdata: {0:"getTabel",1:hal,2:jumlah,3:cr}
			};
			
			$.ajax({
				url: lokal+"man.ajax.php",
				type: "POST",
				dataType: "json",
				async:true,
				data: ik_data,
				success: function(e){
					
					mload.tutup();
					//alert(JSON.stringify(e));
					if(e!=false){
						
						if(e.length>0 && e[0]['halaman']>0){
							var htm;
							for(var i=0;i<e[0]['halaman'];i++){
								htm+="<option value='"+(i+1)+"'>"+(i+1)+"</option>";
							}
							$("#hal_ke").html(htm);
							
						}
						$("#hal_ke").val(nohal);
						
						var datatb={
							box:"grid_masterpelajaran",
							data:e,
							lebarmin:"500px",
							trklik:{"data":"id","fungsi":"barisklik"},
							title:"kategori Menu",
							isi:[
									{"col":"","judul":"No","tipe":"urut","align":"center","lebar":"50px","halaman":hal,"jumlah":jumlah},
									{"col":"namasekolah","judul":"Sekolah","tipe":"data","lebar":"180px"},
									{"col":"namajenis","judul":"Jenis","tipe":"data","lebar":"110px"},
									{"col":"kode","judul":"Kode","tipe":"data","lebar":"70px"},
									{"col":"nama","judul":"Nama","tipe":"data"},
									{"align":"center","judul":"Status","tipe":"tpl","tpl":"btstatus","lebar":"60px"},
									{"align":"center","judul":"","tipe":"tpl","tpl":"btedit","lebar":"60px"},
									
								],
							mod:"mod",
							module:"masterpelajaran"
						};
						tabel.multisub(datatb);
					}
				}
			});
		},
		buat:function(a){
			document.location=lokal+"member/mod/masterpelajaran?id="+a+"&scrmenu="+modmenu.getmenuscr();
		},
		kembali:function(){
			document.location=lokal+"member/mod/masterpelajaran?scrmenu="+modmenu.getmenuscr();
		},
		edit:function(a){
			idmasterpelajaran=a['id'];
			$("#sl_jenis").val(a['idjenis']);
			$("#sl_sekolah").val(a['idsekolah']);
		},
		
		simpan:function(){
			$("#loader_level_err").html("");
			var nm=$("#nama").val();
			var kode=$("#kode").val();
			var idjenis=$("#sl_jenis").val();
			var idsekolah=$("#sl_sekolah").val();
			
			var err="";
			if(nm=="") err+="Nama Pelajaran belum diisi.</br>";
			if(kode=="") err+="Kode Pelajaran belum diisi.</br>";
			
			if(err!=""){
				$("#box_error_simpan").html(err);
				
				return;
			}
			
			var fg="inputmasterpelajaran";
			if(idmasterpelajaran>0){
				fg="editmasterpelajaran";
			}
			mload.loader();
			var ik_data = {
				ajax: 1,
				mode: "mod",
				cl: "masterpelajaran",
				ikdata: {0:fg,nama:nm,kode:kode,
					idjenis:idjenis,
					idsekolah:idsekolah,
					id:idmasterpelajaran}
			};
			
			$.ajax({
				url: lokal+"man.ajax.php",
				type: "POST",
				dataType: "json",
				async:true,
				data: ik_data,
				success: function(e){
					
					if(e==1){
						masterpelajaran.kembali();
					}
				}
			});
		},
		hapus:function(a){
			if(a<=0) return;
			var boxyesno=null;
			var databox={
				judul:"Yakin akan menghapus data Master Pelajaran ini ?? ",
				proses:function(){
					mload.loader();
					var ik_data = {
						ajax: 1,
						mode: "mod",
						cl: "masterpelajaran",
						ikdata: {0:"hapusData",id:a}
					};
					
					$.ajax({
						url: lokal+"man.ajax.php",
						type: "POST",
						dataType: "json",
						async:true,
						data: ik_data,
						success: function(e){
							mload.tutup();
							if(e==1){
								masterpelajaran.load();
								boxyesno.tutup();
								
							}
						}
					});
				},
				
			};
			boxyesno=boxwin.yesno(databox);
			boxyesno.buka();
			
		},
		status:function(a,b,c,d){
            var st=0;
            if(tabel.gettabel(b).getdata(c,"status")==0){
                st=1;
            }
            
            mload.loader();
            var ik_data = {
                ajax: 1,
                mode: "mod",
                cl: "masterpelajaran",
                ikdata: {0:"setStatus",id:a,status:st}
            };
            
            $.ajax({
                url: lokal+"man.ajax.php",
                type: "POST",
                dataType: "json",
                async:true,
                data: ik_data,
                success: function(e){
                    
                    if(e==1){
                        
                        d.className="mini_dis";
                        if(st==1){
                            d.className="mini_ok";
                        }
                        tabel.gettabel(b).setdata(c,"status",st);
                        mload.tutup();
                    }else{
                        mload.error([{"pesan":"Status error"}]);
                    }
                }
            });
        },
	};
})();